using Osci.Helper;
using Osci.Signature;

namespace Osci.Encryption
{
    /// <exclude/>
    /// <summary>
    /// <p>Copyright © 2018 Freie Hansestadt Bremen</p>
    /// <p>Erstellt von Governikus GmbH &amp; Co. KG</p>
    /// <p>Diese Bibliothek kann von jedermann nach Maßgabe der Bremer Lizenz für
    /// freie Softwarebibliotheken genutzt werden.</p><p>Die Lizenzbestimmungen können
    /// unter der URL www.osci.de abgerufen oder bei der
    /// Koordinierungsstelle für IT-Standards (KoSIT), Schillerstr. 1,
    /// 28195 Bremen schriftlich angefordert werden.</p>
    /// 
    /// <p>Author: P. Ricklefs, N. Büngener</p> 
    /// <p>Version: 1.8.3</p>
    /// </summary>
    public class EncryptedType
    {
        public string Id
        {
            get; set;
        }

        public string Type
        {
            get; set;
        }

        public string Encoding
        {
            get; set;
        }

        public string MimeType
        {
            get; set;
        }

        public string EncryptionMethodAlgorithm // Can be either a symmetric or asymmetric algorithm
        {
            get; set;
        }

        public CipherData CipherData
        {
            get; set;
        }

        public KeyInfo KeyInfo
        {
            get
            {
                return _keyInfo;
            }

            set
            {
                if (value == null)
                {
                    _log.Warn("KeyInfo darf nicht null sein.");
                }
                _keyInfo = value;
            }
        }

        private static readonly Log _log = LogFactory.GetLog(typeof(EncryptedType));

        /// <summary>Das KeyInfo Element. 
        /// </summary>
        private KeyInfo _keyInfo;
    }
}