using Osci.Exceptions;

namespace Osci.Encryption
{
    /// <exclude/>
    /// <summary> Diese Exception zeigt ein Problem bei Ver- oder Entschlüsselungsvorgängen
    /// an. Die Bibliothek faßt auch einige JCE/JCA-Exceptions hiermit zusammen, um (aus
    /// Sicherheitsgründen) keine detaillierten Informationen über fehlgeschlagene
    /// Entschlüsselungsversuche zu liefern.
    /// 
    /// <p>Copyright © 2018 Freie Hansestadt Bremen</p>
    /// <p>Erstellt von Governikus GmbH &amp; Co. KG</p>
    /// <p>Diese Bibliothek kann von jedermann nach Maßgabe der Bremer Lizenz für
    /// freie Softwarebibliotheken genutzt werden.</p><p>Die Lizenzbestimmungen können
    /// unter der URL www.osci.de abgerufen oder bei der
    /// Koordinierungsstelle für IT-Standards (KoSIT), Schillerstr. 1,
    /// 28195 Bremen schriftlich angefordert werden.</p>
    /// 
    /// <p>Author: P. Ricklefs, N. Büngener</p> 
    /// <p>Version: 1.8.3</p>
    /// </summary>
    public class OsciCipherException
        : OsciException
    {

        public OsciCipherException(string errorCode)
            : base(errorCode)
        {
        }
        public OsciCipherException(string message, string errorCode)
            : base(message, errorCode)
        {
        }
    }
}
