using Osci.Common;

namespace Osci.Helper
{
    /// <summary>
    /// <p>Copyright © 2018 Freie Hansestadt Bremen</p>
    /// <p>Erstellt von Governikus GmbH &amp; Co. KG</p>
    /// <p>Diese Bibliothek kann von jedermann nach Maßgabe der Bremer Lizenz für
    /// freie Softwarebibliotheken genutzt werden.</p><p>Die Lizenzbestimmungen können
    /// unter der URL www.osci.de abgerufen oder bei der
    /// Koordinierungsstelle für IT-Standards (KoSIT), Schillerstr. 1,
    /// 28195 Bremen schriftlich angefordert werden.</p>
    /// 
    /// <p>Author: N. Büngener</p> 
    /// <p>Version: 1.8.3</p>
    /// </summary>
    public class NullOutputStream 
        : OutputStream
    {
        //private static Log log = LogFactory.getLog(NullOutputStream.class);
        private long _count;
        public NullOutputStream()
        {
            ;
        }
        public override void Write(int b)
        {
            _count++;
        }
        public override void Write(byte[] b, int off, int len)
        {
            _count += len;
        }
        public long GetLength()
        {
            return _count;
        }
    }
}
